## NAME

t.rast.import - Imports space time raster dataset.

## KEYWORDS

temporal, import, raster, time, create project

## SYNOPSIS

t.rast.import
t.rast.import --help
t.rast.import [-rleoc] input=name output=name [basename=string] directory=name [title=string] [description=string] [project=string] [memory=memory in MB] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  Set the current region from the last map that was imported
-l
  Link the raster files using r.external
-e
  Extend project extents based on new dataset
-o
  Override projection check (use current projects's CRS)
  Assume that the dataset has same coordinate reference system as the current location
-c
  Create the project specified by the "project" parameter and exit. Do not import the space time raster datasets.
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input file
output=name [required]
  Name of the output space time raster dataset
basename=string
  Basename of the new generated output maps
  A numerical suffix separated by an underscore will be attached to create a unique identifier
directory=name [required]
  Path to the extraction directory
  Default: /tmp
title=string
  Title of the new space time dataset
description=string
  Description of the new space time dataset
project=string
  Create a new project and import the data into it. Do not run this module in parallel or interrupt it when a new project should be created
memory=memory in MB
  Maximum memory to be used (in MB)
  Cache size for raster rows
  Default: 300

## DESCRIPTION

t.rast.import imports a space time raster dataset archive that was exported with t.rast.export.

## NOTES

Optionally a base map name can be provided to avoid that existing raster maps are overwritten by the map names that are used in the STRDS archive.

The directory is used as work directory in case of import but can also be used as a data directory when using GeoTIFF for the data exchange.

## EXAMPLE

The North Carolina space time dataset contains a data package called lst_daily.tar.bzip2 with daily data from MODIS LST. Import it by running:

    t.rast.import input=lst_daily.tar.bzip2 output=lst_daily \
                  basename=lst directory=/tmp

## SEE ALSO

t.rast.export, t.create, t.info, r.in.gdal, r.unpack, t.vect.import

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.rast.import source code (history)

Latest change: Thursday Dec 18 07:11:47 2025 in commit: cf870a5e49fd2643a55de543467edf5c2e61d640

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual